DefaultProfile Class Reference

`#include <defaultProfile.h>`

Inheritance diagram for DefaultProfile:
Collaboration diagram for DefaultProfile:

## Public Member Functions

| DefaultProfile (const std::string &filename)
| ~DefaultProfile ()
Public Member Functions inherited from Profile
| Profile (const std::string &filename)
virtual | ~Profile ()
void | read_into_configuration (Configuration *configuration)
void | read_from_configuration (Configuration *configuration)
bool | file_read_ok () const
bool | write_to_file () const

## Static Public Attributes

static const char * | DEFAULT_PROFILE_FILENAME = "presage.xml"

## Private Member Functions

void | build_xml_document (const std::string &)

## Additional Inherited Members

Protected Member Functions inherited from Profile
void | init_configuration (Configuration *config, TiXmlDocument *node)
void | visit_node (Configuration *config, TiXmlNode *node, std::vector< std::string > variable)
Protected Attributes inherited from Profile
TiXmlDocument * | xmlProfileDoc
std::string | xml_filename
bool | xml_profile_read_ok

## Detailed Description

Default profile.

Definition at line 33 of file defaultProfile.h.

## Constructor & Destructor Documentation

## DefaultProfile()

DefaultProfile::DefaultProfile | ( | const std::string & | filename | ) |

Profile constructor.

Parameters

  filename | where profile is saved to

Definition at line 33 of file defaultProfile.cpp.

References build_xml_document(), and Profile::Profile().

Here is the call graph for this function:

## ~DefaultProfile()

DefaultProfile::~DefaultProfile | ( |  | ) |

Profile destructor.

Destructor deallocates the Configuration object passed in costructor.

Definition at line 39 of file defaultProfile.cpp.

## Member Function Documentation

## build_xml_document()

void DefaultProfile::build_xml_document | ( | const std::string & | filename | ) |

private

Definition at line 44 of file defaultProfile.cpp.

References Profile::xmlProfileDoc.

Referenced by DefaultProfile().

Here is the caller graph for this function:

## Member Data Documentation

## DEFAULT_PROFILE_FILENAME

const char * DefaultProfile::DEFAULT_PROFILE_FILENAME = "presage.xml"

static

Definition at line 48 of file defaultProfile.h.

Referenced by ProfileManager::init_profiles().

The documentation for this class was generated from the following files:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/defaultProfile.h
- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/defaultProfile.cpp